Endpoints

Index

get

List all field tags.

Authorizations
Path parameters
endpointstringRequired

The endpoint identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[entity_type_id]stringOptional

Filter results by entity_type_id.

filter[store_as]stringOptional

Filter results by store_as.

filter[is_required]stringOptional

Filter results by is_required.

includestringOptional

Comma-separated list of relationships to include. Available: entityType

sortstringOptional

Sort field. Prefix with - for descending. Available: name, entity_type_id, store_as, is_required

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
get
/api/v1/endpoints/{endpoint}/field-tags

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

field_path

tags

tags.*.field_tag_id

tags.*.field_path

string

tags.*.tracked

Authorizations
Path parameters
endpointstringRequired

The endpoint identifier.

Body
field_pathstringRequired
Responses
post
/api/v1/endpoints/{endpoint}/field-tags

Update

put

Update an existing field tag.

Authorizations
Path parameters
endpointstringRequired

The endpoint identifier.

field_tagstringRequired

The field tag identifier.

Responses
put
/api/v1/endpoints/{endpoint}/field-tags/{field_tag}

No content

Destroy

delete

Delete a field tag.

Authorizations
Path parameters
endpointstringRequired

The endpoint identifier.

field_tagstringRequired

The field tag identifier.

Responses
delete
/api/v1/endpoints/{endpoint}/field-tags/{field_tag}

Index

get

List all pagination.

Authorizations
Path parameters
endpointstringRequired

The endpoint identifier.

Responses
get
/api/v1/endpoints/{endpoint}/pagination

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

variables

variables.*.alias

string

variables.*.value

string

request_options

request_options.*.key

string

request_options.*.alias

string

request_options.*.value

string

Authorizations
Path parameters
endpointstringRequired

The endpoint identifier.

Body
Responses
put
/api/v1/endpoints/{endpoint}/pagination

Index

get

List all schema.

Authorizations
Path parameters
endpointstringRequired

The endpoint identifier.

Responses
get
/api/v1/endpoints/{endpoint}/schema

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • label

  • key

  • value

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • label

  • key

  • value

Authorizations
Path parameters
endpointstringRequired

The endpoint identifier.

Query parameters
filter[label]stringOptional

Filter results by label.

filter[key]stringOptional

Filter results by key.

filter[value]stringOptional

Filter results by value.

sortstringOptional

Sort field. Prefix with - for descending. Available: label, key, value

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
get
/api/v1/endpoints/{endpoint}/variables

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

label

string

key

string

value

string

secret

pivot.alias

string

pivot.configurable

pivot.required

pivot.advanced

Authorizations
Path parameters
endpointstringRequired

The endpoint identifier.

Body
labelstringRequired
keystringRequired
valuestringOptional
secretstringOptional
Responses
post
/api/v1/endpoints/{endpoint}/variables

Destroy

delete

Delete a variable.

Authorizations
Path parameters
endpointstringRequired

The endpoint identifier.

variablestringRequired

The variable identifier.

Responses
delete
/api/v1/endpoints/{endpoint}/variables/{variable}

Last updated

Was this helpful?